Subject: bug#45701: 28.0.50; [feature/native-comp] (33b8ce8) `M-x report-emacs-bug` error: "Wrong type argument: stringp, nil"

From: Andrea Corallo <[email-masked]>
Date: Wed, 10 Feb 2021 09:09:48 +0000

Jim Myhrberg <[email-masked]> writes:

> The TL;DR for the patch; It is essentially a horrible and hacky first
> draft I threw together to set the LIBRARY_PATH environment variable to
> point at the GCC directories that my build script copies into the
> macOS "Emacs.app" bundle to make it fully self-contained. The
> LIBRARY_PATH environment variable needs to be set to point at the
> "embedded" GCC directories before any native compilation starts, which
> is currently done through the horrible advice-add/remove stuff.
>
> Justin, I've not had any reports of similar issues to yours, but I
> have just managed to reproduce the error by breaking my Emacs.app
> bundle in a very specific way. What folders do you have under
> "Emacs.app/Contents/MacOS/lib/gcc" in your app bundle? There's
> supposed to be a folder called "10". I reproduced the issue by
> renaming my "10" folder so it no longer matches regexp "^[0-9]+$". If
> you have something else, it's time to debug how that happened and
> where my build script went wrong.
>
> Either way this seems to fall pretty much into my area, so I've
> created a GitHub issue to track improvements to the patch, and I'm
> happy to continue discussions there:
> https://github.com/jimeh/build-emacs-for-macos/issues/29
>
> Andrea, I've actually been meaning to ask you for months if you might
> be able suggest a better approach for the patch, and I'd greatly
> appreciate any time you can spare :)

Hi Jim,

sure I'll try to have a look and come with a comment on that.

As there's a specific issue on the correct repo I'm closing this.

Thanks

  Andrea